import { Type } from '../types';
/**
 * 创建类型元数据装饰器
 */
export declare function makeTypeMetadataDecorator(name: string, props?: (...args: any[]) => any, parentClass?: any, chainFn?: (fn: Function) => void, typeFn?: (type: Type<any>, ...args: any[]) => void): {
    new (...args: any[]): any;
    (...args: any[]): any;
    (...args: any[]): (cls: any) => any;
};
/**
 * 创建属性注解工厂
 * @param name 元数据名称
 * @param metaFactory 元数据工厂方法
 * @param parentClass 父类
 */
declare function makePropMetadataDecorator(name: string, metaFactory?: (...args: any[]) => any, parentClass?: any): any;
export { makePropMetadataDecorator };
