import { InjectionToken } from "./di/injection-token";
import { ExceptionHandler, RenderEngine, FormValidator } from "./types";
export declare const EXCEPTION_HANDLER_TOKEN: InjectionToken<ExceptionHandler>;
export declare const RENDER_ENGINE_TOKEN: InjectionToken<RenderEngine>;
/**
 * 命名空间token
 */
export declare const NAMESPACE_TOKEN: InjectionToken<string>;
export declare const MODULE_CONFIG_ID_TOKEN: InjectionToken<string>;
export declare const RESPONSE_REQUIRED_VALIDATOR_TOKEN: InjectionToken<FormValidator>;
export declare const EXPRESSION_VALIDATOR_TOKEN: InjectionToken<FormValidator>;
