import { ExpressionObject } from "../expression";
export declare enum EffectMessageType {
    error = "error",
    info = "info",
    warning = "warning"
}
export interface EffectOption {
    /**
     * 作用路径
     */
    path?: string | null;
    /**
     * 消息
     */
    message?: string | null;
    /**
     * 消息提示类型
     */
    messageType?: string | null;
}
export interface ExpressionEffector {
    /**
     * namespace
     */
    namespace: string;
    /**
     * 作用
     */
    effect(expressionObject: ExpressionObject, value: any, option?: EffectOption): void;
}
export interface Effector {
    effect(expressionObject: ExpressionObject, value: boolean, option?: EffectOption): void;
}
