import BigNumber from "bignumber.js";
import { ViewModel, ViewModelState } from "../viewmodel";
export declare class ExpressionContextBuilder {
    constructor();
    buildContext(viewModel: ViewModel<ViewModelState>, currentRows?: {
        bindingPath: string;
        primaryValue: string;
    }[]): {
        BigNumber: typeof BigNumber;
        CurrentLanguage: string;
    };
    private buildStateContext;
    private buildEntityContext;
    private createIteratorableNode;
}
