import { ViewModel, ViewModelState } from '../viewmodel';
import { ExpressionExecutor } from './expression-executor';
import { ExpressionRegistry } from './expression-registry';
export declare class ExpressionEvaluator {
    private viewModel;
    private expressionExecutor;
    private expressionRegistry;
    constructor(viewModel: ViewModel<ViewModelState>, expressionExecutor: ExpressionExecutor, expressionRegistry: ExpressionRegistry);
    evaluate(expressionId: string, currentRows?: {
        bindingPath: string;
        primaryValue: string;
    }[]): any;
}
