import { Observable } from 'rxjs';
import { Change, ChangeObserverRegistry } from "../change-observer";
/**
 * 监听所有表单事件并暂存，待有消费者时一次返回给消费者
 */
export declare class ExpressionEventEmitter {
    private changeObserverRegistry;
    private onEvent;
    private events;
    constructor(changeObserverRegistry: ChangeObserverRegistry);
    attach(): Observable<Array<Change<any>>>;
}
