import { Executor, ExpressionObject } from './types';
export declare class ExpressionExecutor implements Executor {
    /**
     * 编译执行
     * @param expression
     * @param context
     * @returns
     */
    compile(expressionObject: ExpressionObject, context?: Record<string, any>): any;
    /**
     * 解析
     * @param expression
     * @param context
     * @returns
     */
    eval(expression: string, context?: {
        [prop: string]: any;
    }): any;
    /**
     * 构造表达式上下文
     * @param context
     * @returns
     */
    private buildContext;
}
