import { ViewModel, ViewModelState } from "../viewmodel/index";
import { ExpressionConfig, ExpressionObject } from "./types";
export declare class ExpressionRegistry {
    private expressionConfigs;
    private viewModel;
    private expressionObjects;
    constructor(expressionConfigs: ExpressionConfig[], viewModel: ViewModel<ViewModelState>);
    get expressions(): ExpressionObject[];
    getExpression(expressionId: string): ExpressionObject | null;
    private getExpressionMessage;
}
