import { Subject } from "rxjs";
import { ExpressionResultChange } from "./types";
export declare class ExpressionResult {
    [key: string]: any;
    changes: Subject<ExpressionResultChange>;
    constructor();
    /**
     * 更新表达式的值
     * @param expressionId - 表达式id
     * @param result - 表达式结果
     */
    set(expressionId: string, result: any): void;
}
