import { EntitySchema } from './entity-schema/index';
import { Entity } from './entity';
/**
 * 创建实体
 */
declare function createEntityBySchema<T extends Entity>(entitySchema: EntitySchema, entityData: any): T;
/**
 * 批量创建实体
 */
declare function createEntitiesBySchema<T extends Entity>(entitySchema: EntitySchema, entityDatas: any[]): T[];
export { createEntityBySchema, createEntitiesBySchema };
