import { FormControl } from './form-control';
import { Form } from './form';
import { FormArray } from './form-array';
import { FormControlState, FormState, FormArrayState } from './form-state';
/**
 * 表单状态构造器
 */
declare class FormStateBuilder {
    /**
     * 构造FormArray状态
     */
    buildFormArrayState(formArray: FormArray): FormArrayState;
    /**
     * 构造Form状态
     */
    buildFormState(form: Form): FormState;
    /**
     * 构造FormControl状态
     */
    buildControlState(control: FormControl): FormControlState;
}
export { FormStateBuilder };
