import { ValidationRule, ValidationError, Validator } from '../types';
/**
 * 基础验证器
 */
declare abstract class BaseValidator implements Validator {
    /**
     * 验证器名称
     */
    abstract name: string;
    /**
     * 验证方法
     */
    abstract validate(value: any, rule: ValidationRule): ValidationError | null;
}
export { BaseValidator };
