import { ValidationError, CustomFunctionValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 自定义函数验证器
 */
declare class CustomFunctionValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: CustomFunctionValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { CustomFunctionValidator };
