import { ValidationError, FormatValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 格式验证器
 */
declare class ForamtValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 格式正则
     */
    private formatConfigs;
    /**
     * 验证方法
     */
    validate(value: any, rule: FormatValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { ForamtValidator };
