import { ValidationError, MaxValueValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 数值最大值验证器
 */
declare class MaxValueValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: MaxValueValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { MaxValueValidator };
