import { ValidationError, MinValueValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 数值最小值验证器
 */
declare class MinValueValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: MinValueValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { MinValueValidator };
