import { ValidationError, PatternValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 正则验证器
 */
declare class PatternValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: PatternValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { PatternValidator };
