import { ValidationError, RequiredValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 必填验证器
 */
declare class RequiredValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: RequiredValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { RequiredValidator };
