import { ValidationError, StaticValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 静态验证器
 */
declare class StaticValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: StaticValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { StaticValidator };
