import { VariablePath } from './types';
/**
 * 状态变量工具类
 */
declare class StateVariableUtil {
    /**
     * 获取变量路径
     */
    static getVariablePath(variable: string, variablePrefix: string): VariablePath;
    /**
     * 移除变量的前缀和后缀
     */
    static trimVariablePrefixAndSuffix(variable: string, variablePrefix: string): string;
    /**
     * 从变量字符串中获取视图模型ID
     */
    static getViewModelId(variablePathString: string, variablePrefix: string): string;
}
export { StateVariableUtil };
