/**
 * 动作元数据名称
 */
declare const ACTION_META_NAME = "ACTION_META";
/**
 * 动作元数据类型
 */
interface ActionMeta {
    name?: string;
}
/**
 * 动作装饰器类型
 */
type ActionDecoratorFactory = (actionMeta?: ActionMeta) => MethodDecorator;
/**
 * 动作装饰器工厂
 */
declare const FdAction: ActionDecoratorFactory;
export { ACTION_META_NAME, ActionMeta, ActionDecoratorFactory, FdAction };
