/**
 * 状态访问器元数据类型
 */
interface GetterMeta {
    name?: string;
}
/**
 * 状态访问器元数据名称
 */
declare const GETTER_PROP_META_NAME = "GETTER";
/**
 * 状态访问器装饰器类型
 */
type GetterDecoratorFactory = (getterMeta?: GetterMeta) => MethodDecorator;
/**
 * 状态访问器装饰器工厂
 */
declare const FdGetter: GetterDecoratorFactory;
export { GetterMeta, GETTER_PROP_META_NAME, GetterDecoratorFactory, FdGetter };
