import { Change } from "../change-observer";
import { ExpressionExecutor, ExpressionObject, ExpressionResult } from "../expression";
import { AbstractChangeHandler } from "./abstract-change-handler";
import { ExpressionEffectorFactory } from "../expression-effector";
import { ViewModel, ViewModelState } from "../viewmodel";
export declare class EntityStoreValueChangeHandler extends AbstractChangeHandler {
    protected viewModel: ViewModel<ViewModelState>;
    protected expressionExecutor: ExpressionExecutor;
    private expressionResult;
    protected effectorFactory: ExpressionEffectorFactory;
    constructor(viewModel: ViewModel<ViewModelState>, expressionExecutor: ExpressionExecutor, expressionResult: ExpressionResult, effectorFactory: ExpressionEffectorFactory);
    handle(change: Change<any>, expressionObjects: ExpressionObject[]): void;
    private effect;
    private executeExpression;
    private filter;
    private resolveChangePath;
}
