import { CommandContext } from '../command-context';
/**
 * 任务流上下文
 */
declare class TaskFlowContext {
    /**
     * 命令上下文
     */
    commandContext: CommandContext;
    /**
     * 任务执行结果
     */
    taskResults: Map<string, any>;
    /**
     * 构造函数
     */
    constructor(commandContext: CommandContext);
    /**
     * 设置执行结果
     */
    setTaskResult(taskName: string, taskResult: any): void;
}
export { TaskFlowContext };
