/**
 * 副作用
 */
declare class Effect<T> {
    private effectFunction;
    /**
     * 副作用方法
     */
    private internalFunction;
    /**
     * 副作用构造器
     * @param effectFunction 副作用方法
     */
    constructor(effectFunction: Function);
    /**
     * 执行副作用
     * @param change 变更
     */
    run(change: T): void;
}
export { Effect };
