import { ExpressionObject } from '../expression';
import { ViewModel, ViewModelState } from '../viewmodel';
import { EffectOption, ExpressionEffector } from './types';
export declare class RequiredExpressionEffector implements ExpressionEffector {
    private viewModel;
    namespace: string;
    constructor(/*public namespace: string, */ viewModel: ViewModel<ViewModelState>);
    effect(expressionObject: ExpressionObject, value: any, option?: EffectOption): void;
    private resolvePath;
    /**
     * 根据实体路径获取视图模型
     */
    private getViewModelByEntityPath;
    private getEffector;
    private resolveFullPath;
    private getTargetEntity;
    private buildPath;
    /**
     * 检查是否需要处理该表达式
     */
    private shouldProcessExpression;
}
