import { ViewModel, ViewModelState } from "../viewmodel/index";
import { ExpressionObject } from "../expression";
import { EffectOption, ExpressionEffector } from "./types";
export declare class ValidateExpressionEffector implements ExpressionEffector {
    private viewModel;
    namespace: string;
    constructor(viewModel: ViewModel<ViewModelState>);
    /**
     * 执行验证效果器
     */
    effect(expressionObject: ExpressionObject, value: boolean, option?: EffectOption): void;
    private getEffector;
    /**
     * 检查是否需要处理该表达式
     */
    private shouldProcessExpression;
}
