import { Type } from '../common/index';
import { Module } from './module';
import { ModuleConfig } from './configs/index';
/**
 * 创建动态模块
 */
declare function createDynamicModule(moduleConfig: ModuleConfig): Module;
/**
 * 创建静态模块
 */
declare function createStaticModule(moduleType: Type<Module>): Module;
export { createDynamicModule, createStaticModule };
