import { Type } from '../../common/index';
import { Entity } from '../../store/index';
import { Repository } from '../repository';
import { RepositoryConfig } from './repository-config';
/**
 * 远程实体仓库配置构造器
 */
declare class RepositoryConfigBuilder {
    /**
     * 构造配置
     */
    build(repositoryType: Type<Repository<Entity>>): RepositoryConfig;
    /**
     * 追加扩展配置
     */
    private buildExtendConfig;
    /**
     * 获取元数据
     */
    private getRepositoryMeta;
}
export { RepositoryConfigBuilder };
