import { Entity } from './entity';
/**
 * 实体数据加载器
 */
declare class EntityDataLoader {
    /**
     * 实体
     */
    private entity;
    /**
     * 实体描述
     */
    private entitySchema;
    /**
     * 构造函数
     */
    constructor(entity: Entity);
    /**
     * 加载数据
     */
    load(entityData: any): void;
    /**
     * 加载简单字段数据
     */
    private loadPrimitiveFields;
    /**
     * 加载实体字段数据
     */
    private loadEntityFields;
    /**
     * 加载实体列表字段数据
     */
    private loadEntityListFields;
}
export { EntityDataLoader };
