import { Entity } from './entity';
/**
 * 实体数据提取
 */
declare class EntityDataPeeker {
    /**
     * 实体
     */
    private entity;
    /**
     * 实体描述
     */
    private entitySchema;
    /**
     * 构造函数
     */
    constructor(entity: Entity);
    /**
     * 提取数据
     */
    peek(): any;
    /**
     * 提取简单字段数据
     */
    private peekPrimitiveFields;
    /**
     * 提取实体字段数据
     */
    private peekEntityFields;
    /**
     * 提取实体列表字段数据
     */
    private peekEntityListFields;
}
export { EntityDataPeeker };
