import { ValidationError } from './validation/index';
/**
 * 表单控件状态
 */
interface FormControlState {
    value: any;
    valid: boolean;
    error: ValidationError;
}
/**
 * 表单状态
 */
interface FormState {
    key: string;
    valid: boolean;
    controlStates: {
        [key: string]: FormControlState;
    };
}
/**
 * 表单数组状态
 */
interface FormArrayState {
    valid: boolean;
    formStates: FormState[];
}
export { FormControlState, FormState, FormArrayState };
