import { ValidationError, ValidationRule } from './types';
/**
 * 表单验证服务
 */
declare class ValidationService {
    /**
     * 验证服务实例
     */
    private static instance;
    /**
     * 获取验证服务实例
     */
    static getInstance(): ValidationService;
    /**
     * 验证器工厂
     */
    private validatorFactory;
    /**
     * 构造函数
     */
    private constructor();
    /**
     * 执行验证
     */
    validate(value: any, rules: ValidationRule[]): ValidationError | null;
}
export { ValidationService };
