import { ValidationRule, Validator } from './types';
/**
 * 验证器工厂
 */
declare class ValidatorFactory {
    /**
     * 验证器集合
     */
    private validators;
    /**
     * 构造函数
     */
    constructor();
    /**
     * 初始化验证器
     */
    private initValidators;
    /**
     * 创建验证规则
     */
    create(rule: ValidationRule): Validator;
}
export { ValidatorFactory };
