import { RequiredValidator } from './required-validator';
import { StaticValidator } from './static-validator';
import { MaxLengthValidator } from './max-length-validator';
import { MinLengthValidator } from './min-length-validator';
import { MaxValueValidator } from './max-value-validator';
import { MinValueValidator } from './min-value-validator';
import { MaxDateValidator } from './max-date-validator';
import { MinDateValidator } from './min-date-validator';
import { ForamtValidator } from './format-validator';
import { PatternValidator } from './pattern-validator';
import { CustomFunctionValidator } from './custom-function-validator';
declare const validatorTypes: (typeof RequiredValidator | typeof StaticValidator | typeof MaxLengthValidator | typeof MinLengthValidator | typeof MaxValueValidator | typeof MinValueValidator | typeof MaxDateValidator | typeof MinDateValidator | typeof ForamtValidator | typeof PatternValidator | typeof CustomFunctionValidator)[];
export { validatorTypes };
