import { ValidationError, MaxDateValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 最大日期验证器
 */
declare class MaxDateValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: MaxDateValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { MaxDateValidator };
