import { ValidationError, MaxLengthValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 最大值验证器
 */
declare class MaxLengthValidator extends BaseValidator {
    /**
   * 名称
   */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: MaxLengthValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { MaxLengthValidator };
