import { ValidationError, MinDateValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 最小日期验证器
 */
declare class MinDateValidator extends BaseValidator {
    /**
     * 名称
     */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: MinDateValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { MinDateValidator };
