import { ValidationError, MinLengthValidationRule } from '../types';
import { BaseValidator } from './base-validator';
/**
 * 最小值验证器
 */
declare class MinLengthValidator extends BaseValidator {
    /**
   * 名称
   */
    name: string;
    /**
     * 验证方法
     */
    validate(value: any, rule: MinLengthValidationRule): ValidationError | null;
    /**
     * 检查规则是否合法
     */
    private checkRule;
}
export { MinLengthValidator };
