/**
 * 验证器工具类
 */
declare class ValidatorUtil {
    /**
     * 是否有合法的length属性
     */
    static hasValidLength(value: any): boolean;
    /**
     * 是否为空输入
     */
    static isEmptyInput(value: any): boolean;
    /**
     * 是否是类字符串的值
     */
    static isStringLike(value: any): boolean;
    /**
     * 是否是类似数字的值
     */
    static isNumberLike(value: any): boolean;
}
export { ValidatorUtil };
