import { PropDecorator } from '../../../common/index';
/**
 * 页面状态元数据名称
 */
declare const PAGE_STATE_META_NAME = "PAGE_STATE_META";
/**
 * 页面状态元数据类型
 */
interface PageStateMeta {
    isInit: boolean;
}
/**
 * 页面状态元数据工厂
 */
declare const PageStateMetaFactory: (meta: PageStateMeta) => PageStateMeta;
/**
 * 页面状态装饰器工厂类型
 */
interface PageStateMetaDecoratorFactory {
    (meta?: PageStateMeta): PropDecorator;
}
/**
 * 页面状态饰器工厂
 */
declare const FdPageState: PageStateMetaDecoratorFactory;
export { PageStateMeta, PAGE_STATE_META_NAME, PageStateMetaFactory, PageStateMetaDecoratorFactory, FdPageState };
