import { VariableParseContext, VariableParser } from './types';
/**
 * 命令参数解析器
 */
export declare class EventParamVariableParser implements VariableParser {
    context: VariableParseContext;
    parse(expression: string, context: VariableParseContext): string;
    /**
     * 匹配表达式中的符合正则表达式的项
     * @param expression 表达式
     * @returns
     */
    private extractVariables;
    /**
     * 获取变量的值
     * @param variable 变量
     */
    private getValue;
}
