import { VariableParseContext, VariableParser } from './parsers/index';
/**
 * 变量解析服务
 */
declare class VariableParseService {
    /**
     * 解析器集合
     */
    private parsers;
    /**
     * 构造函数
     */
    constructor(parsers: VariableParser[]);
    /**
     * 变量解析
     */
    parse(target: string | string[] | any, context: VariableParseContext): any;
    /**
     * 表达式求值
     */
    evaluate(expression: string, context?: any): any;
    /**
     * 表达式解析
     */
    private parseExpression;
}
export { VariableParseService };
