/**
 * 命令动作元数据名称
 */
declare const COMMAND_ACTION_META_NAME = "COMMAND_ACTION_META";
/**
 * 命令动作元数据类型
 */
interface CommandActionMeta {
    name: string;
    params?: {
        [key: string]: any;
    };
}
/**
 * 命令动作装饰器类型
 */
type CommandActionDecoratorFactory = (commandactionMeta: CommandActionMeta) => MethodDecorator;
/**
 * 命令动作装饰器工厂
 */
declare const FdCommandAction: CommandActionDecoratorFactory;
export { COMMAND_ACTION_META_NAME, CommandActionMeta, CommandActionDecoratorFactory, FdCommandAction };
